---
title: "Sensor"
source: /de/gcxone/api/sensor
locale: de
updated: 2026-09-04
---
Operationen für Sensor-Ressourcen. 9 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /sensor/

NEU ERSTELLEN Sensor

### Anfragekörper

Sensor hinzufügen

```json
{
  "payload": [
    {
      "id": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "customerId": "string",
      "serviceProvidersEventProviderId": "string",
      "associatedDeviceName": "string",
      "associatedDeviceId": "string",
      "catalogName": "string",
      "commercialName": "string (required)",
      "deviceType": "string",
      "sensorType": "string",
      "description": "string",
      "macAddress": "string",
      "modelNo": "string",
      "hardwareVersion": "string",
      "firmwareVersion": "string",
      "manafacturer": "string",
      "jsonSchema": "object",
      "photos": [
        "string"
      ],
      "specification": "string",
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string",
        "plusCode": "string",
        "what3Words": "string"
      },
      "siteParent": "string",
      "siteId": "string",
      "assetStatus": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "channelId": "number",
      "type": "string",
      "syncStatus": "boolean",
      "isPtzCamera": "boolean",
      "isThermalCamera": "boolean"
    }
  ]
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## POST /sensor/filter

Ruft die Sensorliste mit Filterung, Sortierung und Paginierung ab. Es ermöglicht die Suche auf hierarchischer Ebene. Sie kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dadurch besteht die Möglichkeit, zusätzliche Entitätsfelder in der Antwort zu erhalten. Außerdem werden Konfigurations‑Metadaten zur Entität bereitgestellt.

### Anfragekörper

Sensorfilterung und -sortierung

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Sensor",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "commercialName": "Camera 01",
      "assetStatus": "active",
      "enableAudio": "Disabled",
      "manafacturer": "HSION",
      "uniqueId": "b89e4e809ce547f01234567eba36f825",
      "dateTime": 1648453119079,
      "associatedDeviceId": "e5560be4e809ce547f012547f76547f01234",
      "associatedDeviceName": "Device"
    },
    {
      "commercialName": "Camera 03",
      "assetStatus": "active",
      "enableAudio": "Disabled",
      "manafacturer": "HSION",
      "uniqueId": "p05e4e107ce547f7654321eba36f790",
      "dateTime": 1648453119079,
      "associatedDeviceId": "561eba3591c690ed03c4547f0123456345c4",
      "associatedDeviceName": "Device"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /sensor/isolate?sensorId={sensorId}&enable={enable}

Isolation für Sensor aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| sensorId | Abfrage | String | ja |  |
| enable | Abfrage | Boolean | ja |  |
| isolateStartTime | Abfrage | Zahl | nein |  |
| duration | Abfrage | Zahl | nein |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## POST /sensor/listBySiteIds

Sensoren nach Site ID-Liste abrufen

### Anfragekörper

Sensoren abrufen

```json
{
  "siteIds": [
    "string"
  ]
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | object |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "sensor",
      "deviceId": "ce546437f01234567e6f825",
      "deviceName": "device",
      "siteName": "site",
      "customerName": "customer"
    }
  ]
}
```

## POST /sensor/search

Sensoren suchen

### Anfragekörper

Sensoren suchen

```json
{
  "skip": "number",
  "limit": "number",
  "siteName": "string",
  "siteId": "string (required)",
  "sensorName": "string",
  "isAll": "boolean",
  "searchTag": [
    "string"
  ]
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | object |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200`Antwort:

```json
{
  "data": [
    {
      "sensorId": "89d42e2953b8b5d662b3006bfdd444e",
      "name": "Camera 03",
      "isActive": true,
      "type": "camera",
      "mapInfo": {
        "latitude": "13.035775322405794",
        "longitude": "80.17819431590344",
        "plusCode": "25PH+87 Chennai, Tamil Nadu, India",
        "what3Words": "climbing.rested.alongside",
        "zone": ""
      }
    }
  ],
  "isSuccess": true
}
```

## GET /sensor/{id}

Abrufen nach Sensor-ID

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /sensor/{id}

Vorhandenen Sensor aktualisieren

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | Zeichenkette | ja |  |

### Anfragekörper

```json
{
  "payload": {
    "id": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "customerId": "string",
    "imageFile": "string",
    "serviceProvidersEventProviderId": "string",
    "associatedDeviceName": "string",
    "associatedDeviceId": "string",
    "catalogName": "string",
    "commercialName": "string (required)",
    "deviceType": "string",
    "sensorType": "string",
    "description": "string",
    "macAddress": "string",
    "modelNo": "string",
    "hardwareVersion": "string",
    "firmwareVersion": "string",
    "manafacturer": "string",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "eventTypes": [
      "object"
    ],
    "actionSupported": [
      "object"
    ],
    "photos": [
      "object"
    ],
    "photoSizeInPixel": [
      "object"
    ],
    "specification": "string",
    "assetId": "string",
    "prerequisite": [
      "object"
    ],
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string",
      "zone": "string"
    },
    "siteParent": "string",
    "siteId": "string",
    "assetStatus": "string",
    "tags": [
      "string"
    ],
    "eventTags": [
      "string"
    ],
    "isInArmState": "boolean",
    "uniqueId": "string",
    "channelId": "number",
    "syncStatus": "boolean",
    "roiCoordinates": [
      [
        "number"
      ]
    ],
    "isIsolate": "boolean",
    "isolatedTime": "string",
    "isolateStartTime": "string",
    "isPtzCamera": "boolean",
    "isThermalCamera": "boolean",
    "enableAudio": "boolean",
    "timerMaskCoordinates": [
      [
        "number"
      ]
    ],
    "analyticsROI": [
      "object"
    ],
    "analytics": "object",
    "analyticsSPDefined": [
      "object"
    ]
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## DELETE /sensor/{id}

Sensor anhand der ID löschen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | Zeichenkette | ja |  |
| forceDelete | Abfrage | Zeichenkette | nein | Sensor zwangsweise löschen |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /sensor/{id}/streamingEndpoints

Streaming-Endpunkte abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja | Sensor-ID |
| Startzeit | Abfrage | Zahl | nein | Epochezeit in Millisekunden |
| Endzeit | Abfrage | Zahl | nein | Epochezeit in Millisekunden |
| Ablauf | Abfrage | Zahl | nein | In Sekunden |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |